%define module	Devel-ebug
%define name	perl-%{module}
%define version 0.46
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A simple, extensible Perl debugger 
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl-Proc-Background 
BuildRequires:  perl-String-Koremutake
BuildRequires:  perl-Test-Expect
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Devel-StackTrace
BuildRequires:  perl-YAML
BuildRequires:  perl-Module-Pluggable
BuildRequires:  perl-PadWalker
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
A debugger is a computer program that is used to debug other programs. 
Devel::ebug is a simple, extensible Perl debugger with a clean API. Using 
this module, you may easily write a Perl debugger to debug your programs. 

Alternatively, it comes with an interactive debugger, ebug.
%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/Devel
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Fri Mar 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.46-1mdk
- New release 0.46
- spec cleanup

* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 0.45-4mdk
- fix BuildRequires

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.45-3mdk
- Fix BuildRequires
- Fix directory ownership

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.45-2mdk
- Buildrequires fix 

* Sun Sep 25 2005 Michael Scherer <misc@mandriva.org> 0.45-1mdk
- First mandriva package
